 ###########################################################################
 #            Copyright (C) 2006 SafeNet, Inc.                             #
 #                   All Rights Reserved                                   #
 #                                                                         #
 # sud_install.sh : This install sentinel usb daemon version 7.3.0         #
 #                                                                         #
 ###########################################################################
#!/bin/sh
SUD_INSTALL_DIR=/opt/safenet_sentinel/common_files
sntl_product_info=/var/opt/sentinel_keys/shk_product.info
old_sntl_product_info=/var/opt/sentinel/sntl_product.info
MAJOR=1
MINOR=0
REV=2
version=1.0.2
SUD_VER=730
sud_version=7.3.0
SUD_RPM=sntl-sud

#
# This script install usb daemon.
#


###############################################################################
                        # Show SHK  Banner
###############################################################################
showbanner()
{
echo "-------------------------------------------------------------------------------"
echo "                Sentinel Keys USB Daemon $sud_version Installation Script"
echo "                         Copyright (C) 2006 SafeNet, Inc."
echo "                             All rights reserved."
echo "-------------------------------------------------------------------------------"
}

uninstall_sud()
{
SHK_DEMON_RET=0
OLD_DEMON_RET=0
[ -f "$sntl_product_info" ]
        if [ $? -eq 0 ]
        then
                SHK_DEMON_VER=`grep sud $sntl_product_info|cut -d = -f 2|cut -d : -f 2`
        if [ -z $SHK_DEMON_VER ]
        then
                        SHK_DEMON_RET=0 #No SHK SUD 7.3.0 exist
        else
                        if [ $SHK_DEMON_VER -le $SUD_VER ]
                        then
                                SHK_DEMON_RET=1  # SUD 7.3.0 DEMON version exist
                        else
                                #Higher DEMON version already installed. Do Nothing & exit
                                SHK_DEMON_RET=3 #> SUD 7.3.0 DEMON version exist
                                echo -e "\n ERROR:Installer has detected a higher version of Sentinel USB Daemon on your system"
                                exit 1
                        fi
        fi
        fi

}

showlicense()
{
if [ $LicenseSHOW == 0 ]    
then
    #LicAgrmntFound indicates whether LicenseAgreement.txt file present or not
    # value 0 (zero) indicates, its not present, 1 (one) indicates its present.
    #Initially we assume LicenseAgreement.txt is not present.
    LicAgrmntFound=0

    echo $line
    [ -f $LicensePATH1/licenseagreement.txt ] 
    if [ $? == 0 ] 
    then
        LicAgrmntFound=1
        LicensePATH=$LicensePATH1
    fi

    [ -f $LicensePATH2/licenseagreement.txt ]
    if [ $? == 0 ]
    then
        LicAgrmntFound=1
        LicensePATH=$LicensePATH2
    fi

    if [ $LicAgrmntFound == 1 ]
    then
	more $LicensePATH/licenseagreement.txt
	while [ 1 ]
	do 
	  echo -n "Do you Agree with the License(y/n): "
	  read choice
	  case $choice in 
	    'y') 
		break 2
		;;
	    'Y') 
		break 2
		;;
	    'n') 
		exit
		;;
	    'N') 
		exit
		;;
	    *)  
	    	echo "-------------------------------------------------------------------------------"
		;;
	  esac	  
	done
    else
	echo "\"licenseagreement.txt\" file missing."
	echo $line
	exit
    fi
fi
}


#############################################################################
# 			Start Here
##############################################################################

LicensePATH1=.
LicensePATH2=..
LicenseSHOW=${#LicenseSHOW}
showlicense
if [ "$1" != "nobanner" ] ; then
	showbanner
fi

uninstall_sud
if [ $SHK_DEMON_RET -eq 1 ]
then
	echo "Installing Sentinel USB Daemon $sud_version"
        rpm -ivh --force $SUD_RPM-$sud_version-0.i386.rpm
        if [ $? -ne 0 ]; then
                echo "Installation Failed."
                exit
        fi

elif [ $SHK_DEMON_RET -eq 3 ] # Higher SUD version exists
then
	echo "Installer has detected a higher version of Sentinel USB Daemon on your system" 
	echo "Skipping Sentinel USB Daemon $sud_version Installation..."
	exit
else        # In any other case install the USB Daemon 

######################################################################
#		Daemon Upgrade message
######################################################################
num_product=0	
	if [ -f "$old_sntl_product_info" ]
        then
        	num_product=`grep product $old_sntl_product_info -c`
                if [ $num_product -eq 0 ]
                then
                	num_product=`grep sud $old_sntl_product_info -c`
                fi

        fi
	if [ $num_product -gt 0 ]
        then

	if [ $LicenseSHOW == 0 ]
	then		
		echo $line
                echo -e "Type \"y\" to overwrite the older version of the Sentinel System Driver (daemon) found on this system. Do not cancel the upgrade before the installation has completed or you may not be able to run applications that depend on the software components being installed"
                # echo -n "       that depend on the software components being installed"
                echo -e "\nType \"n\" to cancel this installation without upgrading the Sentinel System Driver (daemon) existing on this system"
                echo $line
        	IsContinue="a"
	        while [ "$IsContinue" != "n" -o "$IsContinue" != "y" ]
        	do
                	echo -n "Enter your choice (y/n): "
	                read -r IsContinue
        	        if [ "$IsContinue" == "n" ]
                	then
                        	echo "Installer Aborted by User"
	                        exit
        	        elif [ "$IsContinue" == "y" ]
                	then
                        	break
                	else
                        	IsContinue="a"
                	fi
        	done
	fi
	fi
############################################################################################
	echo "Installing Sentinel USB Daemon $sud_version"
	rpm -ivh --force $SUD_RPM-$sud_version-0.i386.rpm	
	if [ $? -ne 0 ]; then 
		echo "Installation Failed."
		exit
	fi	
fi

echo "-------------------------------------------------------------------------------"


	
